#ifndef __INIT_DATA_H
#define __INIT_DATA_H
/*-------------------------------------------------------------------------
 * Copyright (c) 2003-2004 Kenneth W. Sodemann (stuffle@mac.com)
 *-------------------------------------------------------------------------
 * defdata
 *
 * Synopsis:
 *    Define the initial data that is required to have a minimally
 *    functional PRepS database).
 *    
 * $Id: init_data.h,v 1.2 2004/08/05 03:33:58 stuffle Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to
 * Free Software Foundation, Inc.
 * 59 Temple Place, Suite 330 
 * Boston, MA  02111-1307  USA
 *-------------------------------------------------------------------------
 */

#include <libpq-fe.h>
#include "db_login.h"

/*-------------------------------------------------------------------------
 * insert_initial_admin_user
 *
 * Insert the initial administrator user.  The initial admin user is the
 * user who owns the database.  This user is needed to satisfy some of
 * the triggers.  It is also needed to provide a useful database on
 * initial use.
 *
 * This function should be called before any triggers are installed.
 *
 * Inputs:
 *    db_data : login information for the database, the connection
 *              must be valid and active.
 *           
 * Returns the result of the insert.  The caller should PQclear it.
 *-------------------------------------------------------------------------
 */
PGresult *insert_initial_admin_user (DbLoginData *db_data);

PGresult *insert_initial_data (DbLoginData *db_data);

PGresult *insert_version (DbLoginData *db_data);
#endif
