#ifndef __PROGDLG_H
#define __PROGDLG_H
/*-------------------------------------------------------------------------
 * Copyright (c) 2003-2004 Kenneth W. Sodemann (stuffle@mac.com)
 *-------------------------------------------------------------------------
 * progdlg
 *
 * Synopsis:
 *   The database creation progress dialog.
 *    
 * $Id: progdlg.h,v 1.7 2004/08/05 03:33:58 stuffle Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to
 * Free Software Foundation, Inc.
 * 59 Temple Place, Suite 330 
 * Boston, MA  02111-1307  USA
 *-------------------------------------------------------------------------
 */

#include <gtk/gtk.h>

typedef enum {
   CREATE_DLG,
   UPDATE_DLG
} ProgressDlgType;

typedef enum {
   CREATE_DATABASE,
   CREATE_DB_STRUCTURE,
   CREATE_ADMIN_USER,
   INSTALL_LIBS,
   INSTALL_PROCS,
   INSTALL_INIT_DATA,
} CreationStep;

typedef enum {
   UPDATE_INIT,
   DROP_OBJECTS,
   UPDATE_SCHEMA,
   REINSTALL_LIBS,
   REINSTALL_PROCS,
   REINSTALL_TRIGS,
   UPDATE_VER_INFO
} UpdateStep;

typedef enum {
   STEP_NO_STATUS,
   STEP_RUNNING,
   STEP_SUCCESS,
   STEP_FAILED
} StepStatus;

void set_creation_step_status (GtkWidget    *dlg,
                               CreationStep  step,
                               StepStatus    status);
void set_update_step_status (GtkWidget  *dlg,
                             UpdateStep  step,
                             StepStatus  status);
void activate_close_btn (GtkWidget *dlg);
GtkWidget *create_prog_dlg (GtkWindow *parent, ProgressDlgType type);

#endif
