/*-------------------------------------------------------------------------
 * Copyright (c) 2003 Kenneth W. Sodemann (stuffle@mac.com)
 *-------------------------------------------------------------------------
 * toolsmain
 *
 * Synopsis:
 *    The main program file for the PRepS server tools program.
 *    
 * $Id: toolsmain.c,v 1.2 2003/09/28 20:28:55 stuffle Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to
 * Free Software Foundation, Inc.
 * 59 Temple Place, Suite 330 
 * Boston, MA  02111-1307  USA
 *-------------------------------------------------------------------------
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "mainwin.h"

#define STD_DISCLAIMER "\
\n%s version %s, Copyright (C) 2003 Kenneth W. Sodemann\n\n\
%s is free software; you can redistribute it and/or modify it\n\
under the terms of the GNU General Public License as published by the Free\n\
Software Foundation; either version 2 of the License, or (at your option)\n\
any later version.\n\n\
%s is distributed in the hope that it will be useful, but\n\
WITHOUT ANY WARRANTY; without even the implied warranty of\n\
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n\
GNU General Public License for more details.\n\n"


int
main (int argc, char *argv[])
{
   GtkWidget *mainwin;

#ifdef ENABLE_NLS
   bindtextdomain (GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
   textdomain (GETTEXT_PACKAGE);
#endif

   /*
    * Take care of the basic stuff right away...
    */
   gnome_program_init (PACKAGE, VERSION, LIBGNOMEUI_MODULE, argc, argv,
                       GNOME_PARAM_HUMAN_READABLE_NAME,
                       _("Problem Reporting System"),
                       GNOME_PARAM_APP_DATADIR, DATA_DIR,
                       NULL);


   /*
    * Create the main window.
    */
   mainwin = create_main_window ();
   gtk_widget_show (mainwin);

   gtk_main ();

   return 0;
}
